import { ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
declare const Theme: {
    Material: "material";
    Fluent: "fluent";
    Bootstrap: "bootstrap";
    IndigoDesign: "indigo-design";
};
/**
 * Determines the component theme.
 */
export type IgxTheme = (typeof Theme)[keyof typeof Theme];
export declare class ThemeService {
    private document;
    _theme: IgxTheme;
    private _theme$;
    private _subscription;
    /**
     * Sets the theme of the component.
     * Allowed values of type IgxTheme.
     */
    set theme(value: IgxTheme);
    /**
     * Returns the theme of the component.
     * The returned value is of type IgxTheme.
     */
    get theme(): IgxTheme;
    constructor(document: any);
    getCssProp(element: ElementRef): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ThemeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ThemeService>;
}
export {};
